const wdAbi: any[] = [
  {
    constant: false,
    inputs: [
      {
        name: '_spender',
        type: 'address'
      },
      {
        name: '_value',
        type: 'uint256'
      }
    ],
    name: 'approve',
    outputs: [
      {
        name: '',
        type: 'bool'
      }
    ],
    payable: false,
    stateMutability: 'nonpayable',
    type: 'function'
  },
  {
    constant: false,
    inputs: [
      {
        name: '_spender',
        type: 'address'
      },
      {
        name: '_value',
        type: 'uint256'
      },
      {
        name: '_extraData',
        type: 'bytes'
      }
    ],
    name: 'approveAndCall',
    outputs: [
      {
        name: '',
        type: 'bool'
      }
    ],
    payable: false,
    stateMutability: 'nonpayable',
    type: 'function'
  },
  {
    constant: false,
    inputs: [
      {
        name: '_trader',
        type: 'address'
      },
      {
        name: '_raceId',
        type: 'int64'
      },
      {
        name: '_stadiumId',
        type: 'int16'
      },
      {
        name: '_betId',
        type: 'int64'
      },
      {
        name: '_betType',
        type: 'int16'
      },
      {
        name: '_fstLane',
        type: 'int16'
      },
      {
        name: '_sndLane',
        type: 'int16'
      },
      {
        name: '_betAmount',
        type: 'uint256'
      }
    ],
    name: 'betting',
    outputs: [],
    payable: false,
    stateMutability: 'nonpayable',
    type: 'function'
  },
  {
    constant: false,
    inputs: [
      {
        name: '_trader',
        type: 'address'
      },
      {
        name: '_raceId',
        type: 'int64'
      },
      {
        name: '_stadiumId',
        type: 'int16'
      },
      {
        name: '_betIds',
        type: 'int64[]'
      },
      {
        name: '_betTypes',
        type: 'int16[]'
      },
      {
        name: '_fstLanes',
        type: 'int16[]'
      },
      {
        name: '_sndLanes',
        type: 'int16[]'
      },
      {
        name: '_betAmounts',
        type: 'uint256[]'
      }
    ],
    name: 'bettings',
    outputs: [],
    payable: false,
    stateMutability: 'nonpayable',
    type: 'function'
  },
  {
    constant: false,
    inputs: [
      {
        name: '_value',
        type: 'uint256'
      }
    ],
    name: 'burn',
    outputs: [
      {
        name: '',
        type: 'bool'
      }
    ],
    payable: false,
    stateMutability: 'nonpayable',
    type: 'function'
  },
  {
    constant: false,
    inputs: [
      {
        name: '_winnder',
        type: 'address'
      },
      {
        name: '_stadiumId',
        type: 'int16'
      },
      {
        name: '_raceId',
        type: 'int64'
      },
      {
        name: '_betId',
        type: 'int64'
      },
      {
        name: '_betType',
        type: 'int16'
      },
      {
        name: '_amount',
        type: 'uint256'
      }
    ],
    name: 'payout',
    outputs: [],
    payable: false,
    stateMutability: 'nonpayable',
    type: 'function'
  },
  {
    constant: false,
    inputs: [
      {
        name: '_to',
        type: 'address'
      },
      {
        name: '_value',
        type: 'uint256'
      }
    ],
    name: 'transfer',
    outputs: [
      {
        name: '',
        type: 'bool'
      }
    ],
    payable: false,
    stateMutability: 'nonpayable',
    type: 'function'
  },
  {
    constant: false,
    inputs: [
      {
        name: '_from',
        type: 'address'
      },
      {
        name: '_to',
        type: 'address'
      },
      {
        name: '_value',
        type: 'uint256'
      }
    ],
    name: 'transferFrom',
    outputs: [
      {
        name: '',
        type: 'bool'
      }
    ],
    payable: false,
    stateMutability: 'nonpayable',
    type: 'function'
  },
  {
    constant: false,
    inputs: [
      {
        name: '_stadiumId',
        type: 'int16'
      },
      {
        name: '_raceId',
        type: 'int64'
      },
      {
        name: '_openBetting',
        type: 'uint256'
      },
      {
        name: '_closeBetting',
        type: 'uint256'
      },
      {
        name: '_raceEnd',
        type: 'uint256'
      }
    ],
    name: 'writeRaceInfo',
    outputs: [],
    payable: false,
    stateMutability: 'nonpayable',
    type: 'function'
  },
  {
    inputs: [],
    payable: false,
    stateMutability: 'nonpayable',
    type: 'constructor'
  },
  {
    anonymous: false,
    inputs: [
      {
        indexed: true,
        name: 'from',
        type: 'address'
      },
      {
        indexed: true,
        name: 'to',
        type: 'address'
      },
      {
        indexed: false,
        name: 'value',
        type: 'uint256'
      }
    ],
    name: 'Transfer',
    type: 'event'
  },
  {
    anonymous: false,
    inputs: [
      {
        indexed: true,
        name: 'owner',
        type: 'address'
      },
      {
        indexed: true,
        name: 'spender',
        type: 'address'
      },
      {
        indexed: false,
        name: 'value',
        type: 'uint256'
      }
    ],
    name: 'Approval',
    type: 'event'
  },
  {
    anonymous: false,
    inputs: [
      {
        indexed: true,
        name: 'from',
        type: 'address'
      },
      {
        indexed: false,
        name: 'value',
        type: 'uint256'
      }
    ],
    name: 'Burn',
    type: 'event'
  },
  {
    anonymous: false,
    inputs: [
      {
        indexed: true,
        name: '_from',
        type: 'address'
      },
      {
        indexed: true,
        name: '_raceId',
        type: 'int64'
      },
      {
        indexed: true,
        name: '_stadiumId',
        type: 'int16'
      },
      {
        indexed: false,
        name: '_betId',
        type: 'int64'
      },
      {
        indexed: false,
        name: '_betType',
        type: 'int16'
      },
      {
        indexed: false,
        name: '_fstLane',
        type: 'int16'
      },
      {
        indexed: false,
        name: '_sndLane',
        type: 'int16'
      },
      {
        indexed: false,
        name: '_betAmount',
        type: 'uint256'
      }
    ],
    name: 'Betting',
    type: 'event'
  },
  {
    anonymous: false,
    inputs: [
      {
        indexed: false,
        name: '_stadiumId',
        type: 'int16'
      },
      {
        indexed: false,
        name: '_raceId',
        type: 'int64'
      },
      {
        indexed: false,
        name: '_openBetting',
        type: 'uint256'
      },
      {
        indexed: false,
        name: '_closeBetting',
        type: 'uint256'
      },
      {
        indexed: false,
        name: '_raceEnd',
        type: 'uint256'
      },
      {
        indexed: false,
        name: '_writed',
        type: 'uint256'
      }
    ],
    name: 'WriteRaceInfo',
    type: 'event'
  },
  {
    anonymous: false,
    inputs: [
      {
        indexed: true,
        name: '_winnder',
        type: 'address'
      },
      {
        indexed: false,
        name: '_stadiumId',
        type: 'int16'
      },
      {
        indexed: false,
        name: '_raceId',
        type: 'int64'
      },
      {
        indexed: false,
        name: '_betId',
        type: 'int64'
      },
      {
        indexed: false,
        name: '_betType',
        type: 'int16'
      },
      {
        indexed: false,
        name: '_amount',
        type: 'uint256'
      }
    ],
    name: 'Payout',
    type: 'event'
  },
  {
    constant: true,
    inputs: [
      {
        name: '_owner',
        type: 'address'
      },
      {
        name: '_spender',
        type: 'address'
      }
    ],
    name: 'allowance',
    outputs: [
      {
        name: '',
        type: 'uint256'
      }
    ],
    payable: false,
    stateMutability: 'view',
    type: 'function'
  },
  {
    constant: true,
    inputs: [
      {
        name: '',
        type: 'address'
      }
    ],
    name: 'balanceOf',
    outputs: [
      {
        name: '',
        type: 'uint256'
      }
    ],
    payable: false,
    stateMutability: 'view',
    type: 'function'
  },
  {
    constant: true,
    inputs: [
      {
        name: '_owner',
        type: 'address'
      }
    ],
    name: 'balanceOfToken',
    outputs: [
      {
        name: '',
        type: 'uint256'
      }
    ],
    payable: false,
    stateMutability: 'view',
    type: 'function'
  },
  {
    constant: true,
    inputs: [],
    name: 'decimals',
    outputs: [
      {
        name: '',
        type: 'uint8'
      }
    ],
    payable: false,
    stateMutability: 'view',
    type: 'function'
  },
  {
    constant: true,
    inputs: [],
    name: 'name',
    outputs: [
      {
        name: '',
        type: 'string'
      }
    ],
    payable: false,
    stateMutability: 'view',
    type: 'function'
  },
  {
    constant: true,
    inputs: [
      {
        name: '',
        type: 'uint256'
      }
    ],
    name: 'raceInfos',
    outputs: [
      {
        name: 'stadiumId',
        type: 'int16'
      },
      {
        name: 'raceId',
        type: 'int64'
      },
      {
        name: 'openBettingTime',
        type: 'uint256'
      },
      {
        name: 'closeBettingTime',
        type: 'uint256'
      },
      {
        name: 'raceEndTime',
        type: 'uint256'
      },
      {
        name: 'writedTime',
        type: 'uint256'
      }
    ],
    payable: false,
    stateMutability: 'view',
    type: 'function'
  },
  {
    constant: true,
    inputs: [],
    name: 'symbol',
    outputs: [
      {
        name: '',
        type: 'string'
      }
    ],
    payable: false,
    stateMutability: 'view',
    type: 'function'
  },
  {
    constant: true,
    inputs: [],
    name: 'tokenOwner',
    outputs: [
      {
        name: '',
        type: 'address'
      }
    ],
    payable: false,
    stateMutability: 'view',
    type: 'function'
  },
  {
    constant: true,
    inputs: [],
    name: 'totalSupply',
    outputs: [
      {
        name: '',
        type: 'uint256'
      }
    ],
    payable: false,
    stateMutability: 'view',
    type: 'function'
  }
];

export default wdAbi;
