export class BaseContract {
    static getContractAddress(transaction: any): string;
    static getInterface(contractInterface: any): any;
    static isIndexed(value: any): boolean;
    constructor(addressOrName: any, contractInterface: any, signerOrProvider: any);
    deployed(): any;
    _deployed(blockTag: any): any;
    _deployedPromise: any;
    fallback(overrides: any): any;
    connect(signerOrProvider: any): any;
    attach(addressOrName: any): any;
    _normalizeRunningEvent(runningEvent: any): any;
    _getRunningEvent(eventName: any): any;
    _checkRunningEvents(runningEvent: any): void;
    _wrapEvent(runningEvent: any, log: any, listener: any): any;
    _addEventListener(runningEvent: any, listener: any, once: any): void;
    queryFilter(event: any, fromBlockOrBlockhash: any, toBlock: any): any;
    on(event: any, listener: any): this;
    once(event: any, listener: any): this;
    emit(eventName: any, ...args: any[]): boolean;
    listenerCount(eventName: any): any;
    listeners(eventName: any): any;
    removeAllListeners(eventName: any): this;
    off(eventName: any, listener: any): this;
    removeListener(eventName: any, listener: any): this;
}
export class BigNumber {
    static from(value: any): any;
    static isBigNumber(value: any): boolean;
    constructor(constructorGuard: any, hex: any);
    _hex: any;
    _isBigNumber: boolean;
    fromTwos(value: any): any;
    toTwos(value: any): any;
    abs(): any;
    add(other: any): any;
    sub(other: any): any;
    div(other: any): any;
    mul(other: any): any;
    mod(other: any): any;
    pow(other: any): any;
    and(other: any): any;
    or(other: any): any;
    xor(other: any): any;
    mask(value: any): any;
    shl(value: any): any;
    shr(value: any): any;
    eq(other: any): any;
    lt(other: any): any;
    lte(other: any): any;
    gt(other: any): any;
    gte(other: any): any;
    isNegative(): boolean;
    isZero(): any;
    toNumber(): any;
    toBigInt(): bigint | void;
    toString(...args: any[]): any;
    toHexString(): any;
    toJSON(key: any): {
        type: string;
        hex: any;
    };
}
export class Contract extends BaseContract {
}
export class ContractFactory {
    static fromSolidity(compilerOutput: any, signer: any): ContractFactory;
    static getInterface(contractInterface: any): any;
    static getContractAddress(tx: any): string;
    static getContract(address: any, contractInterface: any, signer: any): Contract;
    constructor(contractInterface: any, bytecode: any, signer: any);
    getDeployTransaction(...args: any[]): {
        data: any;
    };
    deploy(...args: any[]): any;
    attach(address: any): any;
    connect(signer: any): any;
}
export class FixedNumber {
    static fromValue(value: any, decimals: any, format: any): FixedNumber;
    static fromString(value: any, format: any): FixedNumber;
    static fromBytes(value: any, format: any): FixedNumber;
    static from(value: any, format: any): void | FixedNumber;
    static isFixedNumber(value: any): boolean;
    constructor(constructorGuard: any, hex: any, value: any, format: any);
    format: any;
    _hex: any;
    _value: any;
    _isFixedNumber: boolean;
    _checkFormat(other: any): void;
    addUnsafe(other: any): FixedNumber;
    subUnsafe(other: any): FixedNumber;
    mulUnsafe(other: any): FixedNumber;
    divUnsafe(other: any): FixedNumber;
    floor(): void | FixedNumber;
    ceiling(): void | FixedNumber;
    round(decimals: any): any;
    isZero(): boolean;
    isNegative(): boolean;
    toString(): any;
    toHexString(width: any): any;
    toUnsafeFloat(): number;
    toFormat(format: any): FixedNumber;
}
export class Signer {
    static isSigner(value: any): boolean;
    getBalance(blockTag: any): any;
    getTransactionCount(blockTag: any): any;
    estimateGas(transaction: any): any;
    call(transaction: any, blockTag: any): any;
    sendTransaction(transaction: any): any;
    getChainId(): any;
    getGasPrice(): any;
    getFeeData(): any;
    resolveName(name: any): any;
    checkTransaction(transaction: any): {};
    populateTransaction(transaction: any): any;
    _checkProvider(operation: any): void;
}
export class VoidSigner extends Signer {
    constructor(address: any, provider: any);
    getAddress(): Promise<any>;
    _fail(message: any, operation: any): Promise<void>;
    signMessage(message: any): Promise<void>;
    signTransaction(transaction: any): Promise<void>;
    _signTypedData(domain: any, types: any, value: any): Promise<void>;
    connect(provider: any): VoidSigner;
}
export class Wallet extends Signer {
    static createRandom(options: any): Wallet;
    static fromEncryptedJson(json: any, password: any, progressCallback: any): any;
    static fromEncryptedJsonSync(json: any, password: any): Wallet;
    static fromMnemonic(mnemonic: any, path: any, wordlist: any): Wallet;
    constructor(privateKey: any, provider: any);
    get mnemonic(): any;
    get privateKey(): any;
    get publicKey(): any;
    getAddress(): Promise<any>;
    connect(provider: any): Wallet;
    signTransaction(transaction: any): any;
    signMessage(message: any): any;
    _signTypedData(domain: any, types: any, value: any): any;
    encrypt(password: any, options: any, progressCallback: any): any;
}
export class Wordlist {
    static check(wordlist: any): string;
    static register(lang: any, name: any): void;
    constructor(locale: any);
    split(mnemonic: any): any;
    join(words: any): any;
}
declare var index$1: Readonly<{
    __proto__: any;
    AddressZero: "0x0000000000000000000000000000000000000000";
    NegativeOne: any;
    Zero: any;
    One: any;
    Two: any;
    WeiPerEther: any;
    MaxUint256: any;
    MinInt256: any;
    MaxInt256: any;
    HashZero: "0x0000000000000000000000000000000000000000000000000000000000000000";
    EtherSymbol: "Ξ";
}>;
declare var ErrorCode: any;
export var ethers: Readonly<{
    __proto__: any;
    Signer: typeof Signer;
    Wallet: typeof Wallet;
    VoidSigner: typeof VoidSigner;
    getDefaultProvider: typeof getDefaultProvider;
    providers: Readonly<{
        __proto__: any;
        Provider: typeof Provider;
        BaseProvider: typeof BaseProvider;
        Resolver: typeof Resolver;
        UrlJsonRpcProvider: typeof UrlJsonRpcProvider;
        FallbackProvider: typeof FallbackProvider;
        AlchemyProvider: typeof AlchemyProvider;
        AlchemyWebSocketProvider: typeof AlchemyWebSocketProvider;
        CloudflareProvider: typeof CloudflareProvider;
        EtherscanProvider: typeof EtherscanProvider;
        InfuraProvider: typeof InfuraProvider;
        InfuraWebSocketProvider: typeof InfuraWebSocketProvider;
        JsonRpcProvider: typeof JsonRpcProvider;
        JsonRpcBatchProvider: typeof JsonRpcBatchProvider;
        NodesmithProvider: typeof NodesmithProvider;
        PocketProvider: typeof PocketProvider;
        StaticJsonRpcProvider: typeof StaticJsonRpcProvider;
        Web3Provider: typeof Web3Provider;
        WebSocketProvider: typeof WebSocketProvider;
        IpcProvider: any;
        JsonRpcSigner: typeof JsonRpcSigner;
        getDefaultProvider: typeof getDefaultProvider;
        getNetwork: typeof getNetwork;
        isCommunityResource: typeof isCommunityResource;
        isCommunityResourcable: typeof isCommunityResourcable;
        showThrottleMessage: typeof showThrottleMessage;
        Formatter: typeof Formatter;
    }>;
    BaseContract: typeof BaseContract;
    Contract: typeof Contract;
    ContractFactory: typeof ContractFactory;
    BigNumber: typeof BigNumber;
    FixedNumber: typeof FixedNumber;
    constants: Readonly<{
        __proto__: any;
        AddressZero: "0x0000000000000000000000000000000000000000";
        NegativeOne: any;
        Zero: any;
        One: any;
        Two: any;
        WeiPerEther: any;
        MaxUint256: any;
        MinInt256: any;
        MaxInt256: any;
        HashZero: "0x0000000000000000000000000000000000000000000000000000000000000000";
        EtherSymbol: "Ξ";
    }>;
    readonly errors: any;
    logger: Logger;
    utils: Readonly<{
        __proto__: any;
        AbiCoder: typeof AbiCoder;
        defaultAbiCoder: AbiCoder;
        Fragment: typeof Fragment;
        ConstructorFragment: typeof ConstructorFragment;
        ErrorFragment: typeof ErrorFragment;
        EventFragment: typeof EventFragment;
        FunctionFragment: typeof FunctionFragment;
        ParamType: typeof ParamType;
        FormatTypes: Readonly<{
            sighash: "sighash";
            minimal: "minimal";
            full: "full";
            json: "json";
        }>;
        checkResultErrors: typeof checkResultErrors;
        Logger: typeof Logger;
        RLP: Readonly<{
            __proto__: any;
            encode: typeof encode;
            decode: typeof decode;
        }>;
        _fetchData: typeof _fetchData;
        fetchJson: typeof fetchJson;
        poll: typeof poll;
        checkProperties: typeof checkProperties;
        deepCopy: typeof deepCopy;
        defineReadOnly: typeof defineReadOnly;
        getStatic: typeof getStatic;
        resolveProperties: typeof resolveProperties;
        shallowCopy: typeof shallowCopy;
        arrayify: typeof arrayify;
        concat: typeof concat;
        stripZeros: typeof stripZeros;
        zeroPad: typeof zeroPad;
        isBytes: typeof isBytes;
        isBytesLike: typeof isBytesLike;
        defaultPath: "m/44'/60'/0'/0/0";
        HDNode: typeof HDNode;
        SigningKey: typeof SigningKey;
        Interface: typeof Interface;
        LogDescription: typeof LogDescription;
        TransactionDescription: typeof TransactionDescription;
        base58: BaseX;
        base64: Readonly<{
            __proto__: any;
            decode: typeof decode$1;
            encode: typeof encode$1;
        }>;
        hexlify: typeof hexlify;
        isHexString: typeof isHexString;
        hexConcat: typeof hexConcat;
        hexStripZeros: typeof hexStripZeros;
        hexValue: typeof hexValue;
        hexZeroPad: typeof hexZeroPad;
        hexDataLength: typeof hexDataLength;
        hexDataSlice: typeof hexDataSlice;
        nameprep: typeof nameprep;
        _toEscapedUtf8String: typeof _toEscapedUtf8String;
        toUtf8Bytes: typeof toUtf8Bytes;
        toUtf8CodePoints: typeof toUtf8CodePoints;
        toUtf8String: typeof toUtf8String;
        Utf8ErrorFuncs: Readonly<{
            error: typeof errorFunc;
            ignore: typeof ignoreFunc;
            replace: typeof replaceFunc;
        }>;
        formatBytes32String: typeof formatBytes32String;
        parseBytes32String: typeof parseBytes32String;
        hashMessage: typeof hashMessage;
        namehash: typeof namehash;
        isValidName: typeof isValidName;
        id: typeof id;
        _TypedDataEncoder: typeof TypedDataEncoder;
        getAddress: typeof getAddress;
        getIcapAddress: typeof getIcapAddress;
        getContractAddress: typeof getContractAddress;
        getCreate2Address: typeof getCreate2Address;
        isAddress: typeof isAddress;
        formatEther: typeof formatEther;
        parseEther: typeof parseEther;
        formatUnits: typeof formatUnits;
        parseUnits: typeof parseUnits;
        commify: typeof commify;
        computeHmac: typeof computeHmac;
        keccak256: typeof keccak256;
        ripemd160: typeof ripemd160$1;
        sha256: typeof sha256$1;
        sha512: typeof sha512$1;
        randomBytes: typeof randomBytes;
        shuffled: typeof shuffled;
        solidityPack: typeof pack$1;
        solidityKeccak256: typeof keccak256$1;
        soliditySha256: typeof sha256$2;
        splitSignature: typeof splitSignature;
        joinSignature: typeof joinSignature;
        accessListify: typeof accessListify;
        parseTransaction: typeof parse;
        serializeTransaction: typeof serialize;
        readonly TransactionTypes: any;
        getJsonWalletAddress: typeof getJsonWalletAddress;
        computeAddress: typeof computeAddress;
        recoverAddress: typeof recoverAddress;
        computePublicKey: typeof computePublicKey;
        recoverPublicKey: typeof recoverPublicKey;
        verifyMessage: typeof verifyMessage;
        verifyTypedData: typeof verifyTypedData;
        getAccountPath: typeof getAccountPath;
        mnemonicToEntropy: typeof mnemonicToEntropy;
        entropyToMnemonic: typeof entropyToMnemonic;
        isValidMnemonic: typeof isValidMnemonic;
        mnemonicToSeed: typeof mnemonicToSeed;
        readonly SupportedAlgorithm: any;
        readonly UnicodeNormalizationForm: any;
        readonly Utf8ErrorReason: any;
        Indexed: typeof Indexed;
    }>;
    wordlists: {
        en: LangEn;
    };
    version: "ethers/5.5.4";
    Wordlist: typeof Wordlist;
}>;
export function getDefaultProvider(network: any, options: any): any;
declare const logger$I: Logger;
declare var index$3: Readonly<{
    __proto__: any;
    Provider: typeof Provider;
    BaseProvider: typeof BaseProvider;
    Resolver: typeof Resolver;
    UrlJsonRpcProvider: typeof UrlJsonRpcProvider;
    FallbackProvider: typeof FallbackProvider;
    AlchemyProvider: typeof AlchemyProvider;
    AlchemyWebSocketProvider: typeof AlchemyWebSocketProvider;
    CloudflareProvider: typeof CloudflareProvider;
    EtherscanProvider: typeof EtherscanProvider;
    InfuraProvider: typeof InfuraProvider;
    InfuraWebSocketProvider: typeof InfuraWebSocketProvider;
    JsonRpcProvider: typeof JsonRpcProvider;
    JsonRpcBatchProvider: typeof JsonRpcBatchProvider;
    NodesmithProvider: typeof NodesmithProvider;
    PocketProvider: typeof PocketProvider;
    StaticJsonRpcProvider: typeof StaticJsonRpcProvider;
    Web3Provider: typeof Web3Provider;
    WebSocketProvider: typeof WebSocketProvider;
    IpcProvider: any;
    JsonRpcSigner: typeof JsonRpcSigner;
    getDefaultProvider: typeof getDefaultProvider;
    getNetwork: typeof getNetwork;
    isCommunityResource: typeof isCommunityResource;
    isCommunityResourcable: typeof isCommunityResourcable;
    showThrottleMessage: typeof showThrottleMessage;
    Formatter: typeof Formatter;
}>;
declare var utils$1: Readonly<{
    __proto__: any;
    AbiCoder: typeof AbiCoder;
    defaultAbiCoder: AbiCoder;
    Fragment: typeof Fragment;
    ConstructorFragment: typeof ConstructorFragment;
    ErrorFragment: typeof ErrorFragment;
    EventFragment: typeof EventFragment;
    FunctionFragment: typeof FunctionFragment;
    ParamType: typeof ParamType;
    FormatTypes: Readonly<{
        sighash: "sighash";
        minimal: "minimal";
        full: "full";
        json: "json";
    }>;
    checkResultErrors: typeof checkResultErrors;
    Logger: typeof Logger;
    RLP: Readonly<{
        __proto__: any;
        encode: typeof encode;
        decode: typeof decode;
    }>;
    _fetchData: typeof _fetchData;
    fetchJson: typeof fetchJson;
    poll: typeof poll;
    checkProperties: typeof checkProperties;
    deepCopy: typeof deepCopy;
    defineReadOnly: typeof defineReadOnly;
    getStatic: typeof getStatic;
    resolveProperties: typeof resolveProperties;
    shallowCopy: typeof shallowCopy;
    arrayify: typeof arrayify;
    concat: typeof concat;
    stripZeros: typeof stripZeros;
    zeroPad: typeof zeroPad;
    isBytes: typeof isBytes;
    isBytesLike: typeof isBytesLike;
    defaultPath: "m/44'/60'/0'/0/0";
    HDNode: typeof HDNode;
    SigningKey: typeof SigningKey;
    Interface: typeof Interface;
    LogDescription: typeof LogDescription;
    TransactionDescription: typeof TransactionDescription;
    base58: BaseX;
    base64: Readonly<{
        __proto__: any;
        decode: typeof decode$1;
        encode: typeof encode$1;
    }>;
    hexlify: typeof hexlify;
    isHexString: typeof isHexString;
    hexConcat: typeof hexConcat;
    hexStripZeros: typeof hexStripZeros;
    hexValue: typeof hexValue;
    hexZeroPad: typeof hexZeroPad;
    hexDataLength: typeof hexDataLength;
    hexDataSlice: typeof hexDataSlice;
    nameprep: typeof nameprep;
    _toEscapedUtf8String: typeof _toEscapedUtf8String;
    toUtf8Bytes: typeof toUtf8Bytes;
    toUtf8CodePoints: typeof toUtf8CodePoints;
    toUtf8String: typeof toUtf8String;
    Utf8ErrorFuncs: Readonly<{
        error: typeof errorFunc;
        ignore: typeof ignoreFunc;
        replace: typeof replaceFunc;
    }>;
    formatBytes32String: typeof formatBytes32String;
    parseBytes32String: typeof parseBytes32String;
    hashMessage: typeof hashMessage;
    namehash: typeof namehash;
    isValidName: typeof isValidName;
    id: typeof id;
    _TypedDataEncoder: typeof TypedDataEncoder;
    getAddress: typeof getAddress;
    getIcapAddress: typeof getIcapAddress;
    getContractAddress: typeof getContractAddress;
    getCreate2Address: typeof getCreate2Address;
    isAddress: typeof isAddress;
    formatEther: typeof formatEther;
    parseEther: typeof parseEther;
    formatUnits: typeof formatUnits;
    parseUnits: typeof parseUnits;
    commify: typeof commify;
    computeHmac: typeof computeHmac;
    keccak256: typeof keccak256;
    ripemd160: typeof ripemd160$1;
    sha256: typeof sha256$1;
    sha512: typeof sha512$1;
    randomBytes: typeof randomBytes;
    shuffled: typeof shuffled;
    solidityPack: typeof pack$1;
    solidityKeccak256: typeof keccak256$1;
    soliditySha256: typeof sha256$2;
    splitSignature: typeof splitSignature;
    joinSignature: typeof joinSignature;
    accessListify: typeof accessListify;
    parseTransaction: typeof parse;
    serializeTransaction: typeof serialize;
    readonly TransactionTypes: any;
    getJsonWalletAddress: typeof getJsonWalletAddress;
    computeAddress: typeof computeAddress;
    recoverAddress: typeof recoverAddress;
    computePublicKey: typeof computePublicKey;
    recoverPublicKey: typeof recoverPublicKey;
    verifyMessage: typeof verifyMessage;
    verifyTypedData: typeof verifyTypedData;
    getAccountPath: typeof getAccountPath;
    mnemonicToEntropy: typeof mnemonicToEntropy;
    entropyToMnemonic: typeof entropyToMnemonic;
    isValidMnemonic: typeof isValidMnemonic;
    mnemonicToSeed: typeof mnemonicToSeed;
    readonly SupportedAlgorithm: any;
    readonly UnicodeNormalizationForm: any;
    readonly Utf8ErrorReason: any;
    Indexed: typeof Indexed;
}>;
declare const version$p: "ethers/5.5.4";
export namespace wordlists {
    export { langEn as en };
}
declare class Provider {
    static isProvider(value: any): boolean;
    getFeeData(): any;
    addListener(eventName: any, listener: any): any;
    removeListener(eventName: any, listener: any): any;
}
declare class BaseProvider extends Provider {
    static getFormatter(): any;
    static getNetwork(network: any): any;
    constructor(network: any);
    _events: any[];
    _emitted: {
        block: number;
    };
    formatter: any;
    _networkPromise: Promise<any>;
    _maxInternalBlockNumber: number;
    _lastBlockNumber: number;
    _pollingInterval: number;
    _fastQueryDate: number;
    _ready(): any;
    get ready(): Promise<any>;
    _getInternalBlockNumber(maxAge: any): any;
    poll(): any;
    resetEventsBlock(blockNumber: any): void;
    get network(): any;
    detectNetwork(): any;
    getNetwork(): any;
    get blockNumber(): any;
    set polling(value: boolean);
    get polling(): boolean;
    _poller: NodeJS.Timer;
    _bootstrapPoll: any;
    set pollingInterval(value: number);
    get pollingInterval(): number;
    _getFastBlockNumber(): any;
    _fastBlockNumberPromise: any;
    _fastBlockNumber: any;
    _setFastBlockNumber(blockNumber: any): void;
    waitForTransaction(transactionHash: any, confirmations: any, timeout: any): any;
    _waitForTransaction(transactionHash: any, confirmations: any, timeout: any, replaceable: any): any;
    getBlockNumber(): any;
    getGasPrice(): any;
    getBalance(addressOrName: any, blockTag: any): any;
    getTransactionCount(addressOrName: any, blockTag: any): any;
    getCode(addressOrName: any, blockTag: any): any;
    getStorageAt(addressOrName: any, position: any, blockTag: any): any;
    _wrapTransaction(tx: any, hash: any, startBlock: any): any;
    sendTransaction(signedTransaction: any): any;
    _getTransactionRequest(transaction: any): any;
    _getFilter(filter: any): any;
    call(transaction: any, blockTag: any): any;
    estimateGas(transaction: any): any;
    _getAddress(addressOrName: any): any;
    _getBlock(blockHashOrBlockTag: any, includeTransactions: any): any;
    getBlock(blockHashOrBlockTag: any): any;
    getBlockWithTransactions(blockHashOrBlockTag: any): any;
    getTransaction(transactionHash: any): any;
    getTransactionReceipt(transactionHash: any): any;
    getLogs(filter: any): any;
    getEtherPrice(): any;
    _getBlockTag(blockTag: any): any;
    getResolver(name: any): any;
    _getResolver(name: any): any;
    resolveName(name: any): any;
    lookupAddress(address: any): any;
    getAvatar(nameOrAddress: any): any;
    perform(method: any, params: any): void;
    _startEvent(event: any): void;
    _stopEvent(event: any): void;
    _addEventListener(eventName: any, listener: any, once: any): this;
    on(eventName: any, listener: any): this;
    once(eventName: any, listener: any): this;
    emit(eventName: any, ...args: any[]): boolean;
    listenerCount(eventName: any): number;
    listeners(eventName: any): any[];
    off(eventName: any, listener: any): this;
    removeAllListeners(eventName: any): this;
}
declare class Resolver {
    constructor(provider: any, address: any, name: any, resolvedAddress: any);
    _fetchBytes(selector: any, parameters: any): any;
    _getAddress(coinType: any, hexBytes: any): any;
    getAddress(coinType: any): any;
    getAvatar(): any;
    getContentHash(): any;
    getText(key: any): any;
}
declare class UrlJsonRpcProvider extends StaticJsonRpcProvider {
    static getApiKey(apiKey: any): any;
    static getUrl(network: any, apiKey: any): void;
    isCommunityResource(): boolean;
    getSigner(address: any): void;
    listAccounts(): Promise<any[]>;
}
declare class FallbackProvider extends BaseProvider {
    constructor(providers: any, quorum: any);
    _highestBlockNumber: number;
    perform(method: any, params: any): any;
}
declare class AlchemyProvider extends UrlJsonRpcProvider {
    static getWebSocketProvider(network: any, apiKey: any): AlchemyWebSocketProvider;
    static getUrl(network: any, apiKey: any, ...args: any[]): {
        allowGzip: boolean;
        url: string;
        throttleCallback: (attempt: any, url: any) => Promise<boolean>;
    };
}
declare class AlchemyWebSocketProvider extends WebSocketProvider {
    isCommunityResource(): boolean;
}
declare class CloudflareProvider extends UrlJsonRpcProvider {
    static getUrl(network: any, apiKey: any, ...args: any[]): string;
}
declare class EtherscanProvider extends BaseProvider {
    constructor(network: any, apiKey: any);
    getBaseUrl(): void | "https://api.etherscan.io" | "https://api-ropsten.etherscan.io" | "https://api-rinkeby.etherscan.io" | "https://api-kovan.etherscan.io" | "https://api-goerli.etherscan.io";
    getUrl(module: any, params: any): string;
    getPostUrl(): string;
    getPostData(module: any, params: any): any;
    fetch(module: any, params: any, post: any): any;
    perform(method: any, params: any): any;
    getHistory(addressOrName: any, startBlock: any, endBlock: any): any;
    isCommunityResource(): boolean;
}
declare class InfuraProvider extends UrlJsonRpcProvider {
    static getWebSocketProvider(network: any, apiKey: any): InfuraWebSocketProvider;
    static getApiKey(apiKey: any): {
        apiKey: string;
        projectId: string;
        projectSecret: any;
    };
    static getUrl(network: any, apiKey: any): {
        allowGzip: boolean;
        url: string;
        throttleCallback: (attempt: any, url: any) => Promise<boolean>;
    };
}
declare class InfuraWebSocketProvider extends WebSocketProvider {
    isCommunityResource(): boolean;
}
declare class JsonRpcProvider extends BaseProvider {
    static defaultUrl(): string;
    static hexlifyTransaction(transaction: any, allowExtra: any): {
        accessList: {
            address: string;
            storageKeys: any;
        }[];
    };
    constructor(url: any, network: any);
    _nextId: number;
    get _cache(): {};
    _eventLoopCache: {};
    _uncachedDetectNetwork(): any;
    getSigner(addressOrIndex: any): JsonRpcSigner;
    getUncheckedSigner(addressOrIndex: any): UncheckedJsonRpcSigner;
    listAccounts(): any;
    send(method: any, params: any): any;
    prepareRequest(method: any, params: any): (string | any[])[];
    perform(method: any, params: any): any;
    _startPending(): void;
    _pendingFilter: any;
}
declare class JsonRpcBatchProvider extends JsonRpcProvider {
    send(method: any, params: any): Promise<any>;
    _pendingBatch: any[];
    _pendingBatchAggregator: any;
}
declare class NodesmithProvider extends UrlJsonRpcProvider {
    static getUrl(network: any, apiKey: any, ...args: any[]): string;
}
declare class PocketProvider extends UrlJsonRpcProvider {
    static getApiKey(apiKey: any): {
        applicationId: any;
        loadBalancer: boolean;
        applicationSecretKey: any;
    };
    static getUrl(network: any, apiKey: any): {
        url: string;
    };
}
declare class StaticJsonRpcProvider extends JsonRpcProvider {
}
declare class Web3Provider extends JsonRpcProvider {
}
declare class WebSocketProvider extends JsonRpcProvider {
    _wsReady: boolean;
    set polling(value: any);
    send(method: any, params: any): Promise<any>;
    _subscribe(tag: any, param: any, processFunc: any): any;
    destroy(): any;
}
declare class JsonRpcSigner extends Signer {
    constructor(constructorGuard: any, provider: any, addressOrIndex: any);
    connect(provider: any): void;
    connectUnchecked(): UncheckedJsonRpcSigner;
    getAddress(): any;
    sendUncheckedTransaction(transaction: any): any;
    signTransaction(transaction: any): void;
    signMessage(message: any): any;
    _legacySignMessage(message: any): any;
    _signTypedData(domain: any, types: any, value: any): any;
    unlock(password: any): any;
}
declare function getNetwork(network: any): any;
declare function isCommunityResource(value: any): any;
declare function isCommunityResourcable(value: any): boolean;
declare function showThrottleMessage(): void;
declare class Formatter {
    static check(format: any, object: any): {};
    static allowNull(format: any, nullValue: any): (value: any) => any;
    static allowFalsish(format: any, replaceValue: any): (value: any) => any;
    static arrayOf(format: any): (array: any) => any[];
    formats: {
        transaction: {
            hash: any;
            type: any;
            accessList: (value: any) => any;
            blockHash: (value: any) => any;
            blockNumber: (value: any) => any;
            transactionIndex: (value: any) => any;
            confirmations: (value: any) => any;
            from: any;
            gasPrice: (value: any) => any;
            maxPriorityFeePerGas: (value: any) => any;
            maxFeePerGas: (value: any) => any;
            gasLimit: any;
            to: (value: any) => any;
            value: any;
            nonce: any;
            data: any;
            r: (value: any) => any;
            s: (value: any) => any;
            v: (value: any) => any;
            creates: (value: any) => any;
            raw: (value: any) => any;
        };
        transactionRequest: {
            from: (value: any) => any;
            nonce: (value: any) => any;
            gasLimit: (value: any) => any;
            gasPrice: (value: any) => any;
            maxPriorityFeePerGas: (value: any) => any;
            maxFeePerGas: (value: any) => any;
            to: (value: any) => any;
            value: (value: any) => any;
            data: (value: any) => any;
            type: (value: any) => any;
            accessList: (value: any) => any;
        };
        receiptLog: {
            transactionIndex: any;
            blockNumber: any;
            transactionHash: any;
            address: any;
            topics: (array: any) => any[];
            data: any;
            logIndex: any;
            blockHash: any;
        };
        receipt: {
            to: (value: any) => any;
            from: (value: any) => any;
            contractAddress: (value: any) => any;
            transactionIndex: any;
            root: (value: any) => any;
            gasUsed: any;
            logsBloom: (value: any) => any;
            blockHash: any;
            transactionHash: any;
            logs: (array: any) => any[];
            blockNumber: any;
            confirmations: (value: any) => any;
            cumulativeGasUsed: any;
            effectiveGasPrice: (value: any) => any;
            status: (value: any) => any;
            type: any;
        };
        block: {
            hash: any;
            parentHash: any;
            number: any;
            timestamp: any;
            nonce: (value: any) => any;
            difficulty: any;
            gasLimit: any;
            gasUsed: any;
            miner: any;
            extraData: any;
            transactions: (value: any) => any;
            baseFeePerGas: (value: any) => any;
        };
        blockWithTransactions: {};
        filter: {
            fromBlock: (value: any) => any;
            toBlock: (value: any) => any;
            blockHash: (value: any) => any;
            address: (value: any) => any;
            topics: (value: any) => any;
        };
        filterLog: {
            blockNumber: (value: any) => any;
            blockHash: (value: any) => any;
            transactionIndex: any;
            removed: (value: any) => any;
            address: any;
            data: (value: any) => any;
            topics: (array: any) => any[];
            transactionHash: any;
            logIndex: any;
        };
    };
    getDefaultFormats(): {
        transaction: {
            hash: any;
            type: any;
            accessList: (value: any) => any;
            blockHash: (value: any) => any;
            blockNumber: (value: any) => any;
            transactionIndex: (value: any) => any;
            confirmations: (value: any) => any;
            from: any;
            gasPrice: (value: any) => any;
            maxPriorityFeePerGas: (value: any) => any;
            maxFeePerGas: (value: any) => any;
            gasLimit: any;
            to: (value: any) => any;
            value: any;
            nonce: any;
            data: any;
            r: (value: any) => any;
            s: (value: any) => any;
            v: (value: any) => any;
            creates: (value: any) => any;
            raw: (value: any) => any;
        };
        transactionRequest: {
            from: (value: any) => any;
            nonce: (value: any) => any;
            gasLimit: (value: any) => any;
            gasPrice: (value: any) => any;
            maxPriorityFeePerGas: (value: any) => any;
            maxFeePerGas: (value: any) => any;
            to: (value: any) => any;
            value: (value: any) => any;
            data: (value: any) => any;
            type: (value: any) => any;
            accessList: (value: any) => any;
        };
        receiptLog: {
            transactionIndex: any;
            blockNumber: any;
            transactionHash: any;
            address: any;
            topics: (array: any) => any[];
            data: any;
            logIndex: any;
            blockHash: any;
        };
        receipt: {
            to: (value: any) => any;
            from: (value: any) => any;
            contractAddress: (value: any) => any;
            transactionIndex: any;
            root: (value: any) => any;
            gasUsed: any;
            logsBloom: (value: any) => any;
            blockHash: any;
            transactionHash: any;
            logs: (array: any) => any[];
            blockNumber: any;
            confirmations: (value: any) => any;
            cumulativeGasUsed: any;
            effectiveGasPrice: (value: any) => any;
            status: (value: any) => any;
            type: any;
        };
        block: {
            hash: any;
            parentHash: any;
            number: any;
            timestamp: any;
            nonce: (value: any) => any;
            difficulty: any;
            gasLimit: any;
            gasUsed: any;
            miner: any;
            extraData: any;
            transactions: (value: any) => any;
            baseFeePerGas: (value: any) => any;
        };
        blockWithTransactions: {};
        filter: {
            fromBlock: (value: any) => any;
            toBlock: (value: any) => any;
            blockHash: (value: any) => any;
            address: (value: any) => any;
            topics: (value: any) => any;
        };
        filterLog: {
            blockNumber: (value: any) => any;
            blockHash: (value: any) => any;
            transactionIndex: any;
            removed: (value: any) => any;
            address: any;
            data: (value: any) => any;
            topics: (array: any) => any[];
            transactionHash: any;
            logIndex: any;
        };
    };
    accessList(accessList: any): {
        address: string;
        storageKeys: any;
    }[];
    number(number: any): any;
    type(number: any): any;
    bigNumber(value: any): any;
    boolean(value: any): boolean;
    hex(value: any, strict: any): any;
    data(value: any, strict: any): any;
    address(value: any): string;
    callAddress(value: any): string;
    contractAddress(value: any): string;
    blockTag(blockTag: any): any;
    hash(value: any, strict: any): any;
    difficulty(value: any): any;
    uint256(value: any): any;
    _block(value: any, format: any): {};
    block(value: any): {};
    blockWithTransactions(value: any): {};
    transactionRequest(value: any): {};
    transactionResponse(transaction: any): {};
    transaction(value: any): void | {
        type: number;
        chainId: any;
        nonce: any;
        gasPrice: any;
        gasLimit: any;
        to: string;
        value: any;
        data: any;
        accessList: {
            address: string;
            storageKeys: any;
        }[];
    } | {
        nonce: any;
        gasPrice: any;
        gasLimit: any;
        to: string;
        value: any;
        data: any;
        chainId: number;
    };
    receiptLog(value: any): {};
    receipt(value: any): {};
    topics(value: any): any;
    filter(value: any): {};
    filterLog(value: any): {};
}
declare class Logger {
    static globalLogger(): any;
    static setCensorship(censorship: any, permanent: any): void;
    static setLogLevel(logLevel: any): void;
    static from(version: any): Logger;
    constructor(version: any);
    _log(logLevel: any, args: any): void;
    debug(...args: any[]): void;
    info(...args: any[]): void;
    warn(...args: any[]): void;
    makeError(message: any, code: any, params: any): any;
    throwError(message: any, code: any, params: any): void;
    throwArgumentError(message: any, name: any, value: any): void;
    assert(condition: any, message: any, code: any, params: any): void;
    assertArgument(condition: any, message: any, name: any, value: any): void;
    checkNormalize(message: any): void;
    checkSafeUint53(value: any, message: any): void;
    checkArgumentCount(count: any, expectedCount: any, message: any): void;
    checkNew(target: any, kind: any): void;
    checkAbstract(target: any, kind: any): void;
}
declare namespace Logger {
    export { ErrorCode as errors };
    export { LogLevel as levels };
}
declare class AbiCoder {
    constructor(coerceFunc: any);
    _getCoder(param: any): any;
    _getWordSize(): number;
    _getReader(data: any, allowLoose: any): Reader;
    _getWriter(): Writer;
    getDefaultValue(types: any): readonly any[];
    encode(types: any, values: any): string;
    decode(types: any, data: any, loose: any): any;
}
declare class Fragment {
    static from(value: any): any;
    static fromObject(value: any): any;
    static fromString(value: any): any;
    static isFragment(value: any): boolean;
    constructor(constructorGuard: any, params: any);
    _isFragment: boolean;
}
declare class ConstructorFragment extends Fragment {
    static isConstructorFragment(value: any): boolean;
    format(format: any): string;
}
declare class ErrorFragment extends Fragment {
    static isErrorFragment(value: any): boolean;
    format(format: any): string;
}
declare class EventFragment extends Fragment {
    static isEventFragment(value: any): boolean;
    format(format: any): string;
}
declare class FunctionFragment extends ConstructorFragment {
    static isFunctionFragment(value: any): boolean;
}
declare class ParamType {
    static from(value: any, allowIndexed: any): any;
    static fromObject(value: any): any;
    static fromString(value: any, allowIndexed: any): any;
    static isParamType(value: any): boolean;
    constructor(constructorGuard: any, params: any);
    _isParamType: boolean;
    format(format: any): string;
}
declare function checkResultErrors(result: any): any[];
declare function encode(object: any): any;
declare function decode(data: any): any;
declare function _fetchData(connection: any, body: any, processFunc: any): Promise<any>;
declare function fetchJson(connection: any, json: any, processFunc: any): Promise<any>;
declare function poll(func: any, options: any): Promise<any>;
declare function checkProperties(object: any, properties: any): void;
declare function deepCopy(object: any): any;
declare function defineReadOnly(object: any, name: any, value: any): void;
declare function getStatic(ctor: any, key: any): any;
declare function resolveProperties(object: any): any;
declare function shallowCopy(object: any): {};
declare function arrayify(value: any, options: any): any;
declare function concat(items: any): any;
declare function stripZeros(value: any): any;
declare function zeroPad(value: any, length: any, ...args: any[]): any;
declare function isBytes(value: any): boolean;
declare function isBytesLike(value: any): boolean;
declare class HDNode {
    static _fromSeed(seed: any, mnemonic: any): HDNode;
    static fromMnemonic(mnemonic: any, password: any, wordlist: any): HDNode;
    static fromSeed(seed: any): HDNode;
    static fromExtendedKey(extendedKey: any): void | HDNode;
    constructor(constructorGuard: any, privateKey: any, publicKey: any, parentFingerprint: any, chainCode: any, index: any, depth: any, mnemonicOrPath: any);
    get extendedKey(): string;
    neuter(): HDNode;
    _derive(index: any): HDNode;
    derivePath(path: any): this;
}
declare class SigningKey {
    static isSigningKey(value: any): boolean;
    constructor(privateKey: any);
    _addPoint(other: any): string;
    signDigest(digest: any): {
        r: string;
        s: string;
        _vs: string;
        recoveryParam: number;
        v: number;
    };
    computeSharedSecret(otherKey: any): any;
}
declare class Interface {
    static getAbiCoder(): AbiCoder;
    static getAddress(address: any): string;
    static getSighash(fragment: any): string;
    static getEventTopic(eventFragment: any): string;
    static isInterface(value: any): boolean;
    constructor(fragments: any);
    format(format: any): any;
    getFunction(nameOrSignatureOrSighash: any): any;
    getEvent(nameOrSignatureOrTopic: any): any;
    getError(nameOrSignatureOrSighash: any): any;
    getSighash(fragment: any): any;
    getEventTopic(eventFragment: any): any;
    _decodeParams(params: any, data: any): any;
    _encodeParams(params: any, values: any): any;
    encodeDeploy(values: any): any;
    decodeErrorResult(fragment: any, data: any): any;
    encodeErrorResult(fragment: any, values: any): any;
    decodeFunctionData(functionFragment: any, data: any): any;
    encodeFunctionData(functionFragment: any, values: any): any;
    decodeFunctionResult(functionFragment: any, data: any): any;
    encodeFunctionResult(functionFragment: any, values: any): any;
    encodeFilterTopics(eventFragment: any, values: any): any[];
    encodeEventLog(eventFragment: any, values: any): {
        data: any;
        topics: any[];
    };
    decodeEventLog(eventFragment: any, data: any, topics: any): readonly any[];
    parseTransaction(tx: any): TransactionDescription;
    parseLog(log: any): LogDescription;
    parseError(data: any): ErrorDescription;
}
declare class LogDescription extends Description {
}
declare class TransactionDescription extends Description {
}
declare class BaseX {
    constructor(alphabet: any);
    encode(value: any): string;
    decode(value: any): any;
}
declare function decode$1(textData: any): any;
declare function encode$1(data: any): string;
declare function hexlify(value: any, options: any): any;
declare function isHexString(value: any, length: any): boolean;
declare function hexConcat(items: any): string;
declare function hexStripZeros(value: any): string;
declare function hexValue(value: any): string;
declare function hexZeroPad(value: any, length: any, ...args: any[]): any;
declare function hexDataLength(data: any): number;
declare function hexDataSlice(data: any, offset: any, endOffset: any): string;
declare function nameprep(value: any): any;
declare function _toEscapedUtf8String(bytes: any, onError: any): string;
declare function toUtf8Bytes(str: any, form?: any): any;
declare function toUtf8CodePoints(str: any, form?: any): any[];
declare function toUtf8String(bytes: any, onError: any): any;
declare function errorFunc(reason: any, offset: any, bytes: any, output: any, badCodepoint: any): void;
declare function ignoreFunc(reason: any, offset: any, bytes: any, output: any, badCodepoint: any): number;
declare function replaceFunc(reason: any, offset: any, bytes: any, output: any, badCodepoint: any): number;
declare function formatBytes32String(text: any): any;
declare function parseBytes32String(bytes: any): any;
declare function hashMessage(message: any): string;
declare function namehash(name: any): any;
declare function isValidName(name: any): boolean;
declare function id(text: any): string;
declare class TypedDataEncoder {
    static from(types: any): TypedDataEncoder;
    static getPrimaryType(types: any): any;
    static hashStruct(name: any, types: any, value: any): string;
    static hashDomain(domain: any): string;
    static encode(domain: any, types: any, value: any): string;
    static hash(domain: any, types: any, value: any): string;
    static resolveNames(domain: any, types: any, value: any, resolveName: any): any;
    static getPayload(domain: any, types: any, value: any): {
        types: {};
        domain: {};
        primaryType: any;
        message: any;
    };
    constructor(types: any);
    getEncoder(type: any): any;
    _getEncoder(type: any): void | ((value: any) => any);
    encodeType(name: any): any;
    encodeData(type: any, value: any): any;
    hashStruct(name: any, value: any): string;
    encode(value: any): any;
    hash(value: any): string;
    _visit(type: any, value: any, callback: any): any;
    visit(value: any, callback: any): any;
}
declare function getAddress(address: any): string;
declare function getIcapAddress(address: any): string;
declare function getContractAddress(transaction: any): string;
declare function getCreate2Address(from: any, salt: any, initCodeHash: any): string;
declare function isAddress(address: any): boolean;
declare function formatEther(wei: any): any;
declare function parseEther(ether: any): any;
declare function formatUnits(value: any, unitName: any): any;
declare function parseUnits(value: any, unitName: any): any;
declare function commify(value: any): string;
declare function computeHmac(algorithm: any, key: any, data: any): string;
declare function keccak256(data: any): string;
declare function ripemd160$1(data: any): string;
declare function sha256$1(data: any): string;
declare function sha512$1(data: any): string;
declare function randomBytes(length: any): any;
declare function shuffled(array: any): any;
declare function pack$1(types: any, values: any): any;
declare function keccak256$1(types: any, values: any): string;
declare function sha256$2(types: any, values: any): string;
declare function splitSignature(signature: any): {
    r: string;
    s: string;
    _vs: string;
    recoveryParam: number;
    v: number;
};
declare function joinSignature(signature: any): any;
declare function accessListify(value: any): {
    address: string;
    storageKeys: any;
}[];
declare function parse(rawTransaction: any): void | {
    type: number;
    chainId: any;
    nonce: any;
    gasPrice: any;
    gasLimit: any;
    to: string;
    value: any;
    data: any;
    accessList: {
        address: string;
        storageKeys: any;
    }[];
} | {
    nonce: any;
    gasPrice: any;
    gasLimit: any;
    to: string;
    value: any;
    data: any;
    chainId: number;
};
declare function serialize(transaction: any, signature: any): any;
declare function getJsonWalletAddress(json: any): string;
declare function computeAddress(key: any): string;
declare function recoverAddress(digest: any, signature: any): string;
declare function computePublicKey(key: any, compressed: any): any;
declare function recoverPublicKey(digest: any, signature: any): string;
declare function verifyMessage(message: any, signature: any): string;
declare function verifyTypedData(domain: any, types: any, value: any, signature: any): string;
declare function getAccountPath(index: any): string;
declare function mnemonicToEntropy(mnemonic: any, wordlist: any): any;
declare function entropyToMnemonic(entropy: any, wordlist: any): any;
declare function isValidMnemonic(mnemonic: any, wordlist: any): boolean;
declare function mnemonicToSeed(mnemonic: any, password: any): any;
declare class Indexed extends Description {
    static isIndexed(value: any): boolean;
}
declare class LangEn extends Wordlist {
    constructor();
    getWord(index: any): any;
    getWordIndex(word: any): any;
}
declare const langEn: LangEn;
declare class UncheckedJsonRpcSigner extends JsonRpcSigner {
}
declare var LogLevel: any;
declare class Reader {
    static coerce(name: any, value: any): any;
    constructor(data: any, wordSize: any, coerceFunc: any, allowLoose: any);
    _offset: number;
    get data(): any;
    get consumed(): number;
    coerce(name: any, value: any): any;
    _peekBytes(offset: any, length: any, loose: any): any;
    subReader(offset: any): Reader;
    readBytes(length: any, loose: any): any;
    readValue(): any;
}
declare class Writer {
    constructor(wordSize: any);
    _data: any[];
    _dataLength: number;
    _padding: Uint8Array;
    get data(): string;
    get length(): number;
    _writeData(data: any): any;
    appendWriter(writer: any): any;
    writeBytes(value: any): any;
    _getValue(value: any): any;
    writeValue(value: any): any;
    writeUpdatableValue(): (value: any) => void;
}
declare class ErrorDescription extends Description {
}
declare class Description {
    constructor(info: any);
}
export { index$1 as constants, ErrorCode as errors, logger$I as logger, index$3 as providers, utils$1 as utils, version$p as version };
